Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#2546 closed problem (fixed)

Some new UHC risk pool codes with ~1000 patients not searchable from i2b2

Reported by: ngraham Owned by: ngraham
Priority: major Milestone: heron-arkansas-update
Component: data-repository Keywords: public-web
Cc: dconnolly, mhoag, ngraham, badagarla, ssuman Blocked By:
Blocking: Sensitive: no

Description

In ticket:2296#comment:3, we found facts without concepts for the following UHC concepts:

CONCEPT_CDFACTSPATIENTSIMPORT_DATE
UHC|RISKPOOL:N114511212014-02-16 05:51:53
UHC|RISKPOOL:O130111882014-02-16 05:51:53

Change History (7)

comment:1 Changed 7 years ago by dconnolly

comment:2 Changed 7 years ago by ngraham

Cc: ssuman added

I think we just have an outdated lookup table for risk codes. The concept codes are from the riskpoolcode table (see source:heron_load/uhc_concepts_load.sql#L387).

'N' and 'O' are missing:

select * from UHC.riskpool_riskpoolcode;

Results in:

CODEDESCRIPTION
AMajor Surgery (FY2008-)
BMinor Surgery (FY2008-)
CCardiac Procedures
DGI Endoscopy and ERCP
GAll Surgery (FY2008+)

I think the source from UHC is from last July:

ngraham@ID_OLD:/d1/kuh_uhc/data/Support_files/July_2013> ls -l RiskPool_RiskPoolCode.txt
-rw-r--r-- 1 bhamlin users 142 2013-08-26 12:56 RiskPool_RiskPoolCode.txt

I've e-mailed Chip to see if we can get an updated lookup table:

From: Nathan Graham <ngraham@kumc.edu>
To: Chip Hulen <chulen@kumc.edu>
CC: Suman Suman <ssuman@kumc.edu>
Subject: UHC Risk Pool Codes missing
Date: Tue, 11 Mar 2014 11:59:39 -0500

comment:3 Changed 7 years ago by ngraham

Chip responded with new support files:

From: Chip Hulen <chulen@kumc.edu>
To: Nathan Graham <ngraham@kumc.edu>
CC: Suman Suman <ssuman@kumc.edu>
Subject: RE: UHC Risk Pool Codes missing
Date: Tue, 11 Mar 2014 17:13:29 +0000
ngraham@ID_NEW:/d1/kuh_uhc/support_files/20140312> md5sum ./DownloadSupportFiles_20140312.zip
c4017056e8cfba1ee4ac2c91bcab4f80  ./DownloadSupportFiles_20140312.zip

comment:4 Changed 7 years ago by dconnolly

Nathan and I loaded RiskPool_RiskPoolCode.txt via a [uhc_support_load/ uhc_support_load] job that we worked up.

Next step: remove the exception to all_facts_use_known_concepts. Let's do that via GPC:ticket:66.

comment:5 Changed 7 years ago by ngraham

Resolution: fixed
Status: newclosed

Addressed GPC:ticket:66 and then removed UHC exceptions noted in description of this ticket.

comment:6 Changed 7 years ago by mhoag

Keywords: public-web added

comment:7 Changed 7 years ago by ngraham

Sensitive: unset
Note: See TracTickets for help on using tickets.